Announcement

Collapse
No announcement yet.

Will my IDE work with Unreal Engine 4?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Will my IDE work with Unreal Engine 4?

    Hi,

    Just paid the $19 and this is my first post.

    Being the complete idiot that I am, I didn't bother reading the system requirements for U4 and went ahead and dropped my first $19.

    I have Windows Vista (which shouldn't be supported according to the system reqs), but the installation went fine and Unreal Editor is working great, and I can run (Launch) the sample project (the one with the table and chairs) without any problems.

    I am a programmer by profession so naturally (after getting used to the editor interface for a few hours) I decided that it's time to write some code.

    Problem is I have Visual Studio 2008 Professional installed (yes, I mentioned earlier that I'm a complete idiot), and the only support I hear of for VS is for 2012 and 2013.

    Can I still do my thing with what I have? Also I don't think I can install VS2012 Professional on my machine because Vista is not listed as a supported OS.

    I'm really excited to start working with Unreal Engine 4. The question is can I?

    #2
    Originally posted by PaulG View Post
    Hi,

    Just paid the $19 and this is my first post.

    Being the complete idiot that I am, I didn't bother reading the system requirements for U4 and went ahead and dropped my first $19.

    I have Windows Vista (which shouldn't be supported according to the system reqs), but the installation went fine and Unreal Editor is working great, and I can run (Launch) the sample project (the one with the table and chairs) without any problems.

    I am a programmer by profession so naturally (after getting used to the editor interface for a few hours) I decided that it's time to write some code.

    Problem is I have Visual Studio 2008 Professional installed (yes, I mentioned earlier that I'm a complete idiot), and the only support I hear of for VS is for 2012 and 2013.

    Can I still do my thing with what I have? Also I don't think I can install VS2012 Professional on my machine because Vista is not listed as a supported OS.

    I'm really excited to start working with Unreal Engine 4. The question is can I?
    UE4 requires VS2012 to compile code and source, so It probably wont work with anything less. You also cant properly use VS2012 on a vista. I highly recommend you upgrade to Windows 7 or Higher.
    Bacon Man : An Adventure (UE4)

    Comment


      #3
      You could always try QtCreator.

      Comment


        #4
        Originally posted by TheAgent View Post
        UE4 requires VS2012 to compile code and source, so It probably wont work with anything less. You also cant properly use VS2012 on a vista. I highly recommend you upgrade to Windows 7 or Higher.
        Incorrect. You need VS2013

        Comment


          #5
          Originally posted by Veovis Muad'dib View Post
          +99999 for QtCreator.

          Comment


            #6
            Originally posted by Meltdown View Post
            Incorrect. You need VS2013
            Yeah I meant 2013 thanks for the correction.
            Bacon Man : An Adventure (UE4)

            Comment


              #7
              This looks like the perfect time to upgrade your system to a more recent version of Windows. Windows 7 is the minimum required for VS2013.

              Comment


                #8
                What are you doing in windows vista, man, install 7 or 8, you can find legit keys for 20$ if you look there. And you should get VS2013 express for coding.
                UDK and UE4 programmer and Unreal engine 4 betatester. Currently working on commercial VR games for PSVR.
                Deep knowlegde of C++ and blueprints. Open to freelance work.
                Games released, Deathwave(Steam), VRMultigames(Steam), DWVR(Steam,Oculus,PSVR):
                http://store.steampowered.com/app/463870
                http://store.steampowered.com/app/500360
                http://store.steampowered.com/app/520750

                Comment

                Working...
                X